Last Comment Bug 677173 - css3-3d-transforms isn't fully disabled since properties (which sites detect) are added to IDL
: css3-3d-transforms isn't fully disabled since properties (which sites detect)...
Status: VERIFIED FIXED
[qa!] [verified-beta] [verified-aurora]
: regression
Product: Core
Classification: Components
Component: CSS Parsing and Computation (show other bugs)
: Trunk
: x86 All
: -- major (vote)
: mozilla9
Assigned To: Matt Woodrow (:mattwoodrow)
:
Mentors:
Depends on:
Blocks: 505115
  Show dependency treegraph
 
Reported: 2011-08-08 02:50 PDT by Jean Claveau
Modified: 2011-10-10 04:03 PDT (History)
13 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
+
fixed


Attachments
Remove the IDL properties for now (4.93 KB, patch)
2011-08-14 19:40 PDT, Matt Woodrow (:mattwoodrow)
dbaron: review+
jpr: approval‑mozilla‑aurora+
Details | Diff | Splinter Review
Remove the IDL properties for now v2 (11.26 KB, patch)
2011-08-23 22:09 PDT, Matt Woodrow (:mattwoodrow)
dbaron: review+
Details | Diff | Splinter Review
Remove the IDL properties for now - mozilla-central (11.87 KB, patch)
2011-08-27 18:55 PDT, Matt Woodrow (:mattwoodrow)
dbaron: review+
Details | Diff | Splinter Review

Description Jean Claveau 2011-08-08 02:50:30 PDT
Steps to Reproduce
---------------------------------------
1. go to http://dev.openclic.fr/
2. click on arrows arround the photo
3.

What should have happened:
---------------------------------------
Photos should slide (using css -moz-transition)



What actually happened:
----------------------------------------
they don't
Comment 1 Alice0775 White 2011-08-08 03:54:58 PDT
Regression window(m-c hourly):
Works:
http://hg.mozilla.org/mozilla-central/rev/3735fb1cd5ef
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:8.0a1) Gecko/20110803 Firefox/8.0a1 ID:20110803030753
Fails:
http://hg.mozilla.org/mozilla-central/rev/c35c69e1ce99
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:8.0a1) Gecko/20110803 Firefox/8.0a1 ID:20110803015018
Pushlog:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=3735fb1cd5ef&tochange=c35c69e1ce99

Regression window(m-i hourly):
Works:
http://hg.mozilla.org/integration/mozilla-inbound/rev/29232fea6e19
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:8.0a1) Gecko/20110802 Firefox/8.0a1 ID:20110802200330
Fails:
http://hg.mozilla.org/integration/mozilla-inbound/rev/166f4f247772
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:8.0a1) Gecko/20110802 Firefox/8.0a1 ID:20110802200834
Pushlog:
http://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=29232fea6e19&tochange=166f4f247772
Triggered by:
Bug 505115 - CSS3 3D-Transforms
Comment 2 Boris Zbarsky [:bz] 2011-08-08 09:43:47 PDT
From http://dev.openclic.fr/css/all.css:

  html.no-csstransforms .slideshow.horizontal > ol.slides > li.current {
    left:0;
  }
  html.csstransforms.no-csstransforms3d .slideshow.horizontal > ol.slides >
   li.current {
    -moz-transform:translateX(0);
    -webkit-transform:translateX(0);
    -o-transform:translateX(0);
    -ms-transform:translateX(0);
    transform:translateX(0);
  }
  html.csstransforms3d .slideshow.horizontal > ol.slides > li.current {
    -webkit-transform:translate3d(0, 0, 0);
    transform:translate3d(0, 0, 0);
  }

So the site assumes that if .csstransforms3d is set then the browser must be either WebKit or implement unprefixed 3D transforms.

Unfortunately, that class _is_ set in a current nightly, because the site is using Modernizr, which looks for a "MozPerspective" property, which we now have as a result of the patches in bug 505115.
Comment 3 Boris Zbarsky [:bz] 2011-08-08 09:49:38 PDT
I sent them mail, but if someone who can write French sanely wants to do that too, that would be great!
Comment 4 Jean Claveau 2011-08-08 10:02:38 PDT
What do you want to translate in french? I'm one of the devs of this website if you mean us by "them".


Here is your explanation translated (in case it's what you want to translate) :
Donc, le site considère que si .csstransforms3d est défini, le navigateur doit être WebKit ou implémenter les transformations 3D sans préfixe.

Malheureusement, cette classe EST définie avec la nightly actuelle puisque le site utilise Modernizr, qui cherche la propriété "MozPerspective" qui, comme nous le savons, donne le résultat des patches du bug 505115.

I supposed the "now" in the last line is a "know".
Comment 5 Boris Zbarsky [:bz] 2011-08-08 10:24:41 PDT
> I'm one of the devs of this website if you mean us by "them".

Yep, that's exactly what I meant by "them".  If you're here, then there's no point translating anything to French as long as you're happy reading my English.  Not much point in me sending feedback through the form on the site if you're reading this bug already.  :)

> I supposed the "now" in the last line is a "know".

No, it's "now".  As in, we did not use to have it, and now we do have it.

I suspect that just adding a -moz-transform:translate3d to that last CSS block from comment 2 and likewise for the other several places this selector pattern appears should help.  You should probably add the -o- and -ms- versions too.
Comment 6 Jean Claveau 2011-08-08 12:21:06 PDT
That's what I guessed reading you. I'm the server-side dev/admin so I haven't dug enough.
Anyway, it's a great news to see 3D transforms available in Firefox!
I will make the needed changes tomorrow.

I hope there are not too much webkitists like my client-side dev. It may cause trouble when ffx 8 will be the rc (I'm the Linux-Mozillist of the team ).

"...no point... Not much point...", I'll probably be happy to read your english for a while as it shows me how to improve my own. :)

By the way, the last sentence becomes :
Malheureusement, cette classe EST définie avec la nightly actuelle puisque le site utilise Modernizr, qui cherche la propriété "MozPerspective" que nous avons depuis les patches du bug 505115.

Thank you very much for your lights.
Comment 7 Boris Zbarsky [:bz] 2011-08-08 12:43:20 PDT
> I will make the needed changes tomorrow.

Thanks!

> It may cause trouble when ffx 8 will be the rc

Yeah, that's what we have a 3-month testing period for. :)
Comment 8 Jean Claveau 2011-08-08 13:27:37 PDT
I added the rules to the css :
html.csstransforms3d .slideshow.horizontal > ol.slides > li.current {

	-webkit-transform:translate3d(0, 0, 0);

	-moz-transform:translate3d(0, 0, 0);

	-o-transform:translate3d(0, 0, 0);

	-ms-transform:translate3d(0, 0, 0);

	transform:translate3d(0, 0, 0);

}

Nothing changed... The slides don't move. And firebug doesn't show the rule.
Let's be patient!
Comment 9 Boris Zbarsky [:bz] 2011-08-08 13:58:49 PDT
Hmm.  That's a problem on our end.  It looks like all.js has:

  pref("layout.3d-transforms.enabled, false);

(ignoring for the moment that it's missing a '"' there) but the IDL properties are added unconditionally.  That's not good.
Comment 10 Jean Claveau 2011-08-08 14:20:44 PDT
I added it via about:config.

There is no animation but the photos move. If I change too much times, ffx chrashes.
Comment 11 Marcia Knous [:marcia - use ni] 2011-08-09 14:14:22 PDT
Adding crash signature so it gets picked up on the Socorro side.
Comment 12 David Baron :dbaron: ⌚️UTC+8 (review requests must explain patch) 2011-08-09 14:31:12 PDT
This bug is not about a crash.
Comment 13 Matt Woodrow (:mattwoodrow) 2011-08-14 19:40:08 PDT
Created attachment 553088 [details] [diff] [review]
Remove the IDL properties for now
Comment 14 David Baron :dbaron: ⌚️UTC+8 (review requests must explain patch) 2011-08-16 12:22:02 PDT
Comment on attachment 553088 [details] [diff] [review]
Remove the IDL properties for now

r=dbaron

Sorry for the delay getting to this.



We need to get this in on aurora to fix the fact that something that was supposed to be disabled wasn't fully disabled.
Comment 15 Matt Woodrow (:mattwoodrow) 2011-08-18 17:44:16 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/6409a44ecb17
Comment 16 Matt Woodrow (:mattwoodrow) 2011-08-18 17:54:23 PDT
http://hg.mozilla.org/releases/mozilla-aurora/rev/e55d507e6a6b
Comment 17 Matt Brubeck (:mbrubeck) 2011-08-18 19:08:35 PDT
Backed on Aurora and Inbound because of test failures:
hg.mozilla.org/releases/mozilla-aurora/rev/ebe4b5370436
https://hg.mozilla.org/integration/mozilla-inbound/rev/2586082fbd94
Comment 18 Matt Woodrow (:mattwoodrow) 2011-08-23 19:09:31 PDT
This is failing lots of tests because the properties still exist in property_database.js. I've tried removing those too, but multiple tests also check css_properties.js and fail there.

Any idea how we can get these tests to pass?
Comment 19 David Baron :dbaron: ⌚️UTC+8 (review requests must explain patch) 2011-08-23 19:38:46 PDT
Does it work if you:
 * comment out the bits of property_database.js
 * hack ListCSSProperties.cpp to exclude them?
Comment 20 Matt Woodrow (:mattwoodrow) 2011-08-23 22:09:47 PDT
Created attachment 555325 [details] [diff] [review]
Remove the IDL properties for now v2

Looks like it does, yes. Thanks!

Try push: http://tbpl.allizom.org/?tree=Try&usebuildbot=1&pusher=mwoodrow@mozilla.com
Comment 21 Matt Woodrow (:mattwoodrow) 2011-08-27 18:55:28 PDT
Created attachment 556341 [details] [diff] [review]
Remove the IDL properties for now - mozilla-central

Also remove the -moz-transform-style properties on mozilla-central
Comment 22 David Baron :dbaron: ⌚️UTC+8 (review requests must explain patch) 2011-08-31 07:32:25 PDT
Comment on attachment 555325 [details] [diff] [review]
Remove the IDL properties for now v2

r=dbaron
Comment 23 David Baron :dbaron: ⌚️UTC+8 (review requests must explain patch) 2011-08-31 07:33:47 PDT
Comment on attachment 556341 [details] [diff] [review]
Remove the IDL properties for now - mozilla-central

r=dbaron
Comment 24 Matt Woodrow (:mattwoodrow) 2011-08-31 16:39:38 PDT
Landed on inbound: http://hg.mozilla.org/integration/mozilla-inbound/rev/0c6cbf58eaa0
Comment 25 Matt Woodrow (:mattwoodrow) 2011-08-31 16:45:57 PDT
And on Aurora: http://hg.mozilla.org/releases/mozilla-aurora/rev/03b0d42603f8
Comment 26 Ed Morley [:emorley] 2011-09-01 01:57:43 PDT
http://hg.mozilla.org/mozilla-central/rev/0c6cbf58eaa0
Comment 27 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2011-09-09 15:13:06 PDT
Cannot reproduce on Firefox 6.0.2 Linux using the testcase in the original comment. Based on check-ins I don't think this should be fixed in 6.0.2.

Can someone please either confirm that 6.0.2 is fixed or provide a test case which reproduces this bug so that QA can verify? Thanks.
Comment 28 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2011-09-10 06:26:41 PDT
The CSS 3d-transforms patches that caused this bug never landed on 6.
Comment 29 Mihaela Velimiroviciu (:mihaelav) 2011-10-10 04:03:51 PDT
Mozilla/5.0 (X11; Linux i686; rv:8.0) Gecko/20100101 Firefox/8.0
Mozilla/5.0 (X11; Linux i686; rv:9.0a2) Gecko/20111007 Firefox/9.0a2
Mozilla/5.0 (X11; Linux i686; rv:10.0a1) Gecko/20111007 Firefox/10.0a1


Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:8.0) Gecko/20100101 Firefox/8.0
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:9.0a2) Gecko/20111004 Firefox/9.0a2 
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:10.0a1) Gecko/20111005 Firefox/10.0a1

Mozilla/5.0 (Windows NT 5.1; rv:8.0) Gecko/20100101 Firefox/8.0
Mozilla/5.0 (Windows NT 5.1; rv:9.0a2) Gecko/20111006 Firefox/9.0a2
Mozilla/5.0 (Windows NT 5.1; rv:10.0a1) Gecko/20111006 Firefox/10.0a1

Mozilla/5.0 (Windows NT 6.1; rv:8.0) Gecko/20100101 Firefox/8.0
Mozilla/5.0 (Windows NT 6.1; rv:9.0a2) Gecko/20111006 Firefox/9.0a2
Mozilla/5.0 (Windows NT 6.1; rv:10.0a1) Gecko/20111006 Firefox/10.0a1


Photos at link mentioned in bug description slide using the -moz-transition properties; Firebug shows the following rules:
-moz-transition-duration: 0.3s
-moz-transition-property: margin

Note You need to log in before you can comment on or make changes to this bug.